Summary: Programs for X11 from the contrib tapes
Name: X11R6-contrib
Version: 3.3.1
Release: 1
Copyright: MIT
Group: X11/XFree86
Source0: fpt://ftp.xfree86.org/pub/XFree86/3.3.1/sources/X331contrib.tgz
Patch1: x11r6-contrib-3.1.2-rhs.patch
Patch2: x11r6-contrib-3.1.2-mandoc.patch
Patch3: x11r6-contrib-3.1.2-sparc.patch
Patch4: X11R6-contrib-3.3.1-pthreads.patch

%description
This is a collection of X programs from X11R6's contrib tape, which contains
programs contributed by various users. It includes listres, xbiff, xedit,
xeyes, xcalcm, xload, and xman amoung others.

%changelog

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>

- new version
- wmconfig

%prep
%setup -c 
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cd contrib
xmkmf -a
make

%install
cd contrib
make install
make install.man

# xload doesn't need to be setuid
chmod u-s /usr/X11R6/bin/xload

cat > /etc/X11/wmconfig/xcalc <<EOF
xcalc name "Calculator"
xcalc description "Calculator"
xcalc group Utilities
xcalc exec "xcalc &"
EOF

cat > /etc/X11/wmconfig/xditview <<EOF
xditview name "xditview"
xditview description "ditroff previewer"
xditview group Utilities
xditview exec "xditview &"
EOF

cat > /etc/X11/wmconfig/xedit <<EOF
xedit name "xedit"
xedit description "Small editor"
xedit group Utilities
xedit exec "xedit &"
EOF

cat > /etc/X11/wmconfig/xeyes <<EOF
xeyes name "xeyes"
xeyes description "Watchful Eyes"
xeyes group Amusements
xeyes exec "xeyes &"
EOF

cat > /etc/X11/wmconfig/xfontsel <<EOF
xfontsel name "Font Selector"
xfontsel description "Select X Fonts"
xfontsel group Utilities
xfontsel exec "xfontsel &"
EOF

cat > /etc/X11/wmconfig/xload <<EOF
xload name "Load Monitor"
xload description "Display system load"
xload group Administration
xload exec "xload &"
EOF

cat > /etc/X11/wmconfig/xman <<EOF
xman name "xman"
xman description "Manual Page Reader"
xman group Utilities
xman exec "xman &"
EOF

%files
/usr/X11R6/bin/ico
/usr/X11R6/bin/listres
/usr/X11R6/bin/showfont
/usr/X11R6/bin/viewres
/usr/X11R6/bin/xbiff
/usr/X11R6/bin/xcalc
/usr/X11R6/bin/xditview
/usr/X11R6/bin/xedit
/usr/X11R6/bin/xev
/usr/X11R6/bin/xeyes
/usr/X11R6/bin/xfontsel
/usr/X11R6/bin/xgc
/usr/X11R6/bin/xload
/usr/X11R6/bin/xman
/usr/X11R6/bin/xmessage

%config /usr/X11R6/lib/X11/app-defaults/Viewres
%config /usr/X11R6/lib/X11/app-defaults/XCalc
%config /usr/X11R6/lib/X11/app-defaults/XCalc-color
%config /usr/X11R6/lib/X11/app-defaults/XFontSel
%config /usr/X11R6/lib/X11/app-defaults/XLoad
%config /usr/X11R6/lib/X11/app-defaults/Xditview
%config /usr/X11R6/lib/X11/app-defaults/Xditview-chrtr
%config /usr/X11R6/lib/X11/app-defaults/Xedit
%config /usr/X11R6/lib/X11/app-defaults/Xgc
%config /usr/X11R6/lib/X11/app-defaults/Xman
%config /usr/X11R6/lib/X11/app-defaults/Xmessage

/usr/X11R6/lib/X11/xman.help

/usr/X11R6/man/man1/ico.1x
/usr/X11R6/man/man1/listres.1x
/usr/X11R6/man/man1/showfont.1x
/usr/X11R6/man/man1/viewres.1x
/usr/X11R6/man/man1/xbiff.1x
/usr/X11R6/man/man1/xcalc.1x
/usr/X11R6/man/man1/xditview.1x
/usr/X11R6/man/man1/xedit.1x
/usr/X11R6/man/man1/xev.1x
/usr/X11R6/man/man1/xeyes.1x
/usr/X11R6/man/man1/xfontsel.1x
/usr/X11R6/man/man1/xgc.1x
/usr/X11R6/man/man1/xload.1x
/usr/X11R6/man/man1/xman.1x
/usr/X11R6/man/man1/xmessage.1x

%config /etc/X11/wmconfig/xcalc
%config /etc/X11/wmconfig/xditview
%config /etc/X11/wmconfig/xedit
%config /etc/X11/wmconfig/xeyes
%config /etc/X11/wmconfig/xfontsel
%config /etc/X11/wmconfig/xload
%config /etc/X11/wmconfig/xman
